# Class FixedSizedSchedulerImpl

java.lang.Object
java.util.concurrent.AbstractExecutorService
java.util.concurrent.ThreadPoolExecutor
java.util.concurrent.ScheduledThreadPoolExecutor
org.mariadb.jdbc.internal.util.scheduler.FixedSizedSchedulerImpl

All Implemented Interfaces:
  `AutoCloseable, Executor, ExecutorService, ScheduledExecutorService`

public class FixedSizedSchedulerImpl extends ScheduledThreadPoolExecutor

## Nested Class Summary

### Nested classes/interfaces inherited from class ThreadPoolExecutor

`ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

## Constructor Summary

Constructors
Constructor
Description
`FixedSizedSchedulerImpl(int corePoolSize, String poolName)`
Create scheduler with fixed size.

## Method Summary

### Methods inherited from class ScheduledThreadPoolExecutor

`decorateTask, decorateTask, execute, getContinueExistingPeriodicTasksAfterShutdownPolicy, getExecuteExistingDelayedTasksAfterShutdownPolicy, getQueue, getRemoveOnCancelPolicy, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, setContinueExistingPeriodicTasksAfterShutdownPolicy, setExecuteExistingDelayedTasksAfterShutdownPolicy, setRemoveOnCancelPolicy, shutdown, shutdownNow, submit, submit, submit`

### Methods inherited from class ThreadPoolExecutor

`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated, toString`

### Methods inherited from class AbstractExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor`

### Methods inherited from class Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ExecutorService

`awaitTermination, close, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated`

## Constructor Details

### FixedSizedSchedulerImpl

public FixedSizedSchedulerImpl(int corePoolSize, String poolName)
Create scheduler with fixed size.

Parameters:
  `corePoolSize` - core pool size
  `poolName` - name of pool to identify threads